PircBot Java IRC Bot

## org.jibble.pircbot
Class NickAlreadyInUseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jibble.pircbot.IrcException
                  org.jibble.pircbot.NickAlreadyInUseException

All Implemented Interfaces:
  Serializable

public class NickAlreadyInUseException
extends IrcException

A NickAlreadyInUseException class. This exception is thrown when the PircBot attempts to join an IRC server with a user name that is already in use.

Since:
  0.9
Version:
  1.5.0 (Build time: Mon Dec 14 20:07:17 2009)
Author:
  Paul James Mutton, http://www.jibble.org/
See Also:
  Serialized Form

Constructor Summary
`NickAlreadyInUseException(String e)` Constructs a new IrcException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NickAlreadyInUseException

    public NickAlreadyInUseException(String e)

  Constructs a new IrcException.

Parameters:
  `e` - The error message to report.

PircBot Java IRC Bot